Bug 1275679 - [SSUI] - Refreshing login page gives 404
[SSUI] - Refreshing login page gives 404
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
Unspecified Unspecified
high Severity high
: GA
: 5.5.0
Assigned To: Gregg Tanzillo
Pete Savage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-27 09:35 EDT by Pete Savage
Modified: 2015-12-08 08:40 EST (History)
7 users (show)

See Also:
Fixed In Version: 5.5.0.11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:40:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pete Savage 2015-10-27 09:35:39 EDT
Description of problem: Refreshing login page gives 404

When visiting the login page at https://<ip>/self_service the word login is appended to the url, such as https://<ip>/self_service/login

This url does not exist if visited, or if refresh is called. This means people cannot bookmark the login page by just hitting the bookmark button.

Version-Release number of selected component (if applicable): 5.5.0.7


How reproducible: 100%


Steps to Reproduce:
1. Load the SSUI login page
2.
3.

Actual results: url is not valid


Expected results: url should be valid


Additional info:
Comment 2 Gregg Tanzillo 2015-10-29 15:06:10 EDT
https://github.com/ManageIQ/manageiq-appliance/pull/41
Comment 3 CFME Bot 2015-11-02 11:42:19 EST
New commit detected on ManageIQ/manageiq-appliance/master:
https://github.com/ManageIQ/manageiq-appliance/commit/402063cafa7e6abc5ace8c3cdd2cb00ed87bd21b

commit 402063cafa7e6abc5ace8c3cdd2cb00ed87bd21b
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Thu Oct 29 16:59:31 2015 -0400
Commit:     Gregg Tanzillo <gtanzill@redhat.com>
CommitDate: Thu Oct 29 18:01:20 2015 -0400

    Added RewriteRule to redirect SSUI requests to /self_service
    
    Updated the rewrite rule to be exclusive of assets, images, img, styles, fonts and js and redirect all other requests except matching /self_service/* to self_service.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1275679

 COPY/etc/httpd/conf.d/cfme-https-application.conf | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)
Comment 4 CFME Bot 2015-11-02 11:42:25 EST
New commit detected on ManageIQ/manageiq-appliance/master:
https://github.com/ManageIQ/manageiq-appliance/commit/c2e8c8c1f126e9d4f410a88e7cc977a9eed73cc9

commit c2e8c8c1f126e9d4f410a88e7cc977a9eed73cc9
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Thu Oct 29 14:55:38 2015 -0400
Commit:     Gregg Tanzillo <gtanzill@redhat.com>
CommitDate: Thu Oct 29 15:28:47 2015 -0400

    Added RewriteRule to redirect SSUI requests for /self_service/login to /self_service
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1275679

 COPY/etc/httpd/conf.d/cfme-https-application.conf | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)
Comment 5 CFME Bot 2015-11-02 11:42:32 EST
New commit detected on ManageIQ/manageiq-appliance/master:
https://github.com/ManageIQ/manageiq-appliance/commit/223c15346c1aaa057d0fb65e02410ca2ee0e8950

commit 223c15346c1aaa057d0fb65e02410ca2ee0e8950
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Fri Oct 30 12:43:33 2015 -0400
Commit:     Gregg Tanzillo <gtanzill@redhat.com>
CommitDate: Fri Oct 30 12:43:33 2015 -0400

    Added RewriteRule to redirect SSUI requests to /self_service
    
    Simplified regexp
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1275679

 COPY/etc/httpd/conf.d/cfme-https-application.conf | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 7 CFME Bot 2015-11-03 14:36:06 EST
Detected commit referencing this ticket while ticket status is POST.
Comment 8 CFME Bot 2015-11-03 17:12:36 EST
New commit detected on ManageIQ/manageiq-appliance/master:
https://github.com/ManageIQ/manageiq-appliance/commit/20ab4ccef9fb425be57a63448089e9684fcc361d

commit 20ab4ccef9fb425be57a63448089e9684fcc361d
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Tue Nov 3 14:17:57 2015 -0500
Commit:     Gregg Tanzillo <gtanzill@redhat.com>
CommitDate: Tue Nov 3 14:17:57 2015 -0500

    Added RewriteRule to redirect SSUI requests to /self_service
    
    Fixing syntax error.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1275679

 COPY/etc/httpd/conf.d/cfme-https-application.conf | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 11 Pete Savage 2015-11-19 04:27:40 EST
Verified in 5.5.0.11
Comment 13 errata-xmlrpc 2015-12-08 08:40:59 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.